%define        apiver %(echo %version | cut -d. -f 1).0
Name:          gst-plugins-ugly
Version:       1.24.7
Release:       1mamba
Summary:       A set of plug-ins for gstreamer considered to have ugly quality code
Group:         System/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://gstreamer.freedesktop.org/modules/gst-plugins-ugly.html
Source:        http://gstreamer.freedesktop.org/src/gst-plugins-ugly/gst-plugins-ugly-%{version}.tar.xz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: liba52dec-devel
BuildRequires: libglib-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: liborc-devel
## AUTOBUILDREQ-END
BuildRequires: libdvdnav-devel

%description
GStreamer Ugly Plug-ins is a set of plug-ins that we consider to have ugly quality code, correct functionality, our preferred license (LGPL for the plug-in code, LGPL or LGPL-compatible for the supporting library).

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GStreamer Ugly Plug-ins is a set of plug-ins that we consider to have good quality code, correct functionality, our preferred license (LGPL for the plug-in code, LGPL or LGPL-compatible for the supporting library).
This package contains static libraries and header files need for development.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%meson

%meson_build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%meson_install

%find_lang %{name}-%{apiver}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}-%{apiver}.lang
%defattr(-,root,root)
%{_libdir}/gstreamer-%{apiver}/libgst*.so
%doc AUTHORS COPYING

%changelog
* Thu Aug 22 2024 Automatic Build System <autodist@openmamba.org> 1.24.7-1mamba
- automatic version update by autodist

* Tue Jul 30 2024 Automatic Build System <autodist@openmamba.org> 1.24.6-1mamba
- automatic version update by autodist

* Fri Jun 21 2024 Automatic Build System <autodist@openmamba.org> 1.24.5-1mamba
- automatic version update by autodist

* Thu May 30 2024 Automatic Build System <autodist@openmamba.org> 1.24.4-1mamba
- automatic version update by autodist

* Tue Apr 30 2024 Automatic Build System <autodist@openmamba.org> 1.24.3-1mamba
- automatic version update by autodist

* Wed Apr 10 2024 Automatic Build System <autodist@openmamba.org> 1.24.2-1mamba
- automatic version update by autodist

* Fri Mar 22 2024 Automatic Build System <autodist@openmamba.org> 1.24.1-1mamba
- automatic version update by autodist

* Thu Mar 07 2024 Automatic Build System <autodist@openmamba.org> 1.24.0-1mamba
- automatic version update by autodist

* Wed Feb 14 2024 Automatic Build System <autodist@openmamba.org> 1.22.10-1mamba
- automatic version update by autodist

* Thu Jan 25 2024 Automatic Build System <autodist@openmamba.org> 1.22.9-1mamba
- automatic version update by autodist

* Tue Dec 19 2023 Automatic Build System <autodist@mambasoft.it> 1.22.8-1mamba
- automatic version update by autodist

* Tue Nov 14 2023 Automatic Build System <autodist@mambasoft.it> 1.22.7-1mamba
- automatic version update by autodist

* Thu Sep 21 2023 Automatic Build System <autodist@mambasoft.it> 1.22.6-1mamba
- automatic version update by autodist

* Fri Jul 21 2023 Automatic Build System <autodist@mambasoft.it> 1.22.5-1mamba
- automatic version update by autodist

* Wed Jun 21 2023 Automatic Build System <autodist@mambasoft.it> 1.22.4-1mamba
- automatic version update by autodist

* Fri May 19 2023 Automatic Build System <autodist@mambasoft.it> 1.22.3-1mamba
- automatic version update by autodist

* Wed Apr 12 2023 Automatic Build System <autodist@mambasoft.it> 1.22.2-1mamba
- automatic version update by autodist

* Sun Mar 05 2023 Automatic Build System <autodist@mambasoft.it> 1.22.1-1mamba
- automatic version update by autodist

* Wed Jan 25 2023 Automatic Build System <autodist@mambasoft.it> 1.22.0-1mamba
- automatic version update by autodist

* Tue Dec 20 2022 Automatic Build System <autodist@mambasoft.it> 1.20.5-1mamba
- automatic version update by autodist

* Fri Oct 14 2022 Automatic Build System <autodist@mambasoft.it> 1.20.4-1mamba
- automatic version update by autodist

* Thu Jun 16 2022 Automatic Build System <autodist@mambasoft.it> 1.20.3-1mamba
- automatic version update by autodist

* Tue May 03 2022 Automatic Build System <autodist@mambasoft.it> 1.20.2-1mamba
- automatic version update by autodist

* Tue Mar 15 2022 Automatic Build System <autodist@mambasoft.it> 1.20.1-1mamba
- automatic version update by autodist

* Mon Feb 14 2022 Automatic Build System <autodist@mambasoft.it> 1.20.0-1mamba
- automatic version update by autodist

* Thu Feb 03 2022 Automatic Build System <autodist@mambasoft.it> 1.18.6-1mamba
- automatic version update by autodist

* Thu Sep 09 2021 Automatic Build System <autodist@mambasoft.it> 1.18.5-1mamba
- automatic version update by autodist

* Tue Mar 16 2021 Automatic Build System <autodist@mambasoft.it> 1.18.4-1mamba
- automatic version update by autodist

* Thu Jan 14 2021 Automatic Build System <autodist@mambasoft.it> 1.18.3-1mamba
- automatic version update by autodist

* Mon Dec 07 2020 Automatic Build System <autodist@mambasoft.it> 1.18.2-1mamba
- automatic version update by autodist

* Tue Oct 27 2020 Automatic Build System <autodist@mambasoft.it> 1.18.1-1mamba
- automatic version update by autodist

* Thu Oct 01 2020 Automatic Build System <autodist@mambasoft.it> 1.18.0-1mamba
- automatic version update by autodist

* Sat Dec 07 2019 Automatic Build System <autodist@mambasoft.it> 1.16.2-1mamba
- automatic version update by autodist

* Tue Sep 24 2019 Automatic Build System <autodist@mambasoft.it> 1.16.1-1mamba
- automatic version update by autodist

* Thu May 02 2019 Automatic Build System <autodist@mambasoft.it> 1.16.0-1mamba
- automatic version update by autodist

* Thu Oct 04 2018 Automatic Build System <autodist@mambasoft.it> 1.14.4-1mamba
- automatic version update by autodist

* Tue Sep 18 2018 Automatic Build System <autodist@mambasoft.it> 1.14.3-1mamba
- automatic version update by autodist

* Sun Jul 22 2018 Automatic Build System <autodist@mambasoft.it> 1.14.2-1mamba
- automatic version update by autodist

* Fri May 18 2018 Automatic Build System <autodist@mambasoft.it> 1.14.1-1mamba
- automatic version update by autodist

* Tue Apr 17 2018 Automatic Build System <autodist@mambasoft.it> 1.14.0-1mamba
- automatic version update by autodist

* Wed Dec 20 2017 Automatic Build System <autodist@mambasoft.it> 1.12.4-1mamba
- automatic version update by autodist

* Tue Sep 19 2017 Automatic Build System <autodist@mambasoft.it> 1.12.3-1mamba
- automatic version update by autodist

* Fri Jul 14 2017 Automatic Build System <autodist@mambasoft.it> 1.12.2-1mamba
- automatic version update by autodist

* Wed Jun 21 2017 Automatic Build System <autodist@mambasoft.it> 1.12.1-1mamba
- automatic version update by autodist

* Fri Feb 24 2017 Automatic Build System <autodist@mambasoft.it> 1.10.4-1mamba
- automatic version update by autodist

* Thu Feb 02 2017 Automatic Build System <autodist@mambasoft.it> 1.10.3-1mamba
- automatic version update by autodist

* Tue Nov 29 2016 Automatic Build System <autodist@mambasoft.it> 1.10.2-1mamba
- automatic version update by autodist

* Sat Nov 19 2016 Automatic Build System <autodist@mambasoft.it> 1.10.1-1mamba
- automatic version update by autodist

* Thu Nov 03 2016 Automatic Build System <autodist@mambasoft.it> 1.10.0-1mamba
- automatic version update by autodist

* Fri Aug 19 2016 Automatic Build System <autodist@mambasoft.it> 1.8.3-1mamba
- automatic version update by autodist

* Mon Jun 13 2016 Automatic Build System <autodist@mambasoft.it> 1.8.2-1mamba
- automatic version update by autodist

* Thu Apr 21 2016 Automatic Build System <autodist@mambasoft.it> 1.8.1-1mamba
- automatic version update by autodist

* Sun Apr 17 2016 Automatic Build System <autodist@mambasoft.it> 1.8.0-1mamba
- automatic version update by autodist

* Thu Jan 21 2016 Automatic Build System <autodist@mambasoft.it> 1.6.3-1mamba
- automatic version update by autodist

* Wed Dec 16 2015 Automatic Build System <autodist@mambasoft.it> 1.6.2-1mamba
- automatic version update by autodist

* Tue Nov 03 2015 Automatic Build System <autodist@mambasoft.it> 1.6.1-1mamba
- automatic version update by autodist

* Sat Oct 10 2015 Automatic Build System <autodist@mambasoft.it> 1.6.0-1mamba
- automatic version update by autodist

* Sun Dec 21 2014 Automatic Build System <autodist@mambasoft.it> 1.4.5-1mamba
- automatic version update by autodist

* Tue Nov 11 2014 Automatic Build System <autodist@mambasoft.it> 1.4.4-1mamba
- automatic version update by autodist

* Fri Oct 31 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.4.3-1mamba
- automatic version update by autodist

* Tue Apr 22 2014 Automatic Build System <autodist@mambasoft.it> 1.2.4-1mamba
- automatic version update by autodist

* Mon Feb 10 2014 Automatic Build System <autodist@mambasoft.it> 1.2.3-1mamba
- automatic version update by autodist

* Tue Jan 07 2014 Automatic Build System <autodist@mambasoft.it> 1.2.2-1mamba
- automatic version update by autodist

* Mon Nov 11 2013 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Thu Oct 31 2013 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Fri Jun 14 2013 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Fri Apr 26 2013 Automatic Build System <autodist@mambasoft.it> 1.0.7-1mamba
- automatic version update by autodist

* Sun Mar 31 2013 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic version update by autodist

* Mon Jan 14 2013 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic version update by autodist

* Wed Dec 19 2012 Automatic Build System <autodist@mambasoft.it> 1.0.4-1mamba
- automatic version update by autodist

* Sun Nov 25 2012 Automatic Build System <autodist@mambasoft.it> 1.0.3-1mamba
- automatic version update by autodist

* Wed Oct 31 2012 Automatic Build System <autodist@mambasoft.it> 1.0.2-1mamba
- automatic version update by autodist

* Mon Oct 15 2012 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Tue Aug 07 2012 Automatic Build System <autodist@mambasoft.it> 0.10.19-1mamba
- update to 0.10.19

* Thu Aug 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.18-2mamba
- rebuilt with libx264 116

* Sat Jun 25 2011 Automatic Build System <autodist@mambasoft.it> 0.10.18-1mamba
- automatic update by autodist

* Mon Jun 21 2010 Automatic Build System <autodist@mambasoft.it> 0.10.15-1mamba
- automatic update by autodist

* Mon Mar 15 2010 Automatic Build System <autodist@mambasoft.it> 0.10.14-2mamba
- automatic rebuild by autodist

* Wed Mar 10 2010 Automatic Build System <autodist@mambasoft.it> 0.10.14-1mamba
- automatic update by autodist

* Thu Jan 14 2010 Automatic Build System <autodist@mambasoft.it> 0.10.13-2mamba
- automatic rebuild by autodist

* Thu Nov 19 2009 Automatic Build System <autodist@mambasoft.it> 0.10.13-1mamba
- update to 0.10.13

* Thu Nov 19 2009 Automatic Build System <autodist@mambasoft.it> 0.10.12-6mamba
- automatic rebuild by autodist

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 0.10.12-5mamba
- automatic rebuild by autodist

* Wed Aug 19 2009 Automatic Build System <autodist@mambasoft.it> 0.10.12-4mamba
- automatic rebuild by autodist

* Wed Aug 12 2009 Automatic Build System <autodist@mambasoft.it> 0.10.12-3mamba
- automatic rebuild by autodist

* Fri Jul 10 2009 Automatic Build System <autodist@mambasoft.it> 0.10.12-2mamba
- automatic rebuild by autodist

* Mon Jul 06 2009 Automatic Build System <autodist@mambasoft.it> 0.10.12-1mamba
- automatic update by autodist

* Mon Mar 30 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.11-1mamba
- automatic update by autodist

* Wed Jan 07 2009 gil <puntogil@libero.it> 0.10.10-2mamba
- new libcdio

* Thu Jan 01 2009 gil <puntogil@libero.it> 0.10.10-1mamba
- update to 0.10.10

* Mon Jul 14 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.8-1mamba
- package created by autospec
